<?php
/**
 * @package Component AudioEye for Joomla! 3.0
 * @version 1.0
 * @author AudioEye
 * @copyright (C) 2020- AudioEye
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined( '_JEXEC' ) or die;
// helpers

function get($url) {
     
    // Prepare new cURL resource
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLINFO_HEADER_OUT, true);
     
    // Submit the POST request
    $result = curl_exec($ch);
     
    // Close cURL session handle
    curl_close($ch);

    return $result;
}

// Get a db connection.
$db = JFactory::getDbo();
$query = $db->getQuery(true);
$query->select($db->quoteName(array('app_id')));
$query->from($db->quoteName('#__audioeye'));
$db->setQuery($query);
$results = $db->loadObjectList();

// display i frame
$appId = $results[0]->app_id; // get app id

$res = get('https://cmsapi.audioeye.com/joomla/signature?ext_id='.$appId);
$decoded = json_decode($res, true);

$signature = $decoded['signature'];
$timestamp = $decoded['timestamp'];

$html = "<iframe style='position:absolute;top:0;bottom:0;left:0;right:0;width:100%;height:100%;margin-top:40px;' src='https://portal.audioeye.com/login/channel?sig=".$signature."&ts=".$timestamp."&channel_name=joomla&ext_id=". $appId ."'><p>Your browser does not support iframes.</p></iframe>";
echo $html;